Name:     rekonq
License:  GPLv3+ and GFDL
Version: 2.2.1
Release: %mkrel 1
Group:   Networking/WWW
Summary: A lightweight, WebKit based web browser for KDE
URL:     http://rekonq.kde.org/
Source: http://downloads.sourceforge.net/rekonq/%{name}-%{version}.tar.bz2
# Patch 0 provides default mageia bookmark 
Patch0: rekonq-2.1-mga-add-mageia-www-in-bookmark.patch
# Patch 1 provides some mageia sites in default rekonq preview
# Patch 1 also fix the default website to point to /usr/share/doc/HTML/index.html
Patch1: rekonq-2.0-mga-add-mageia-www-in-preview.patch

BuildRequires: kdelibs4-devel >= 2:4.9.0
BuildRequires: pkgconfig(qoauth)
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: nepomuk-core-devel
Requires: kdebase4-common
Requires:      indexhtml

Provides:      webclient

%description
Rekonq is a KDE browser based on Webkit. Its code is based on Nokia
QtDemoBrowser, just like Arora. Anyway its implementation is going to embrace
KDE technologies to have a full-featured KDE web browser.

%files -f %name.lang
%doc AUTHORS  ChangeLog TODO
%{_kde_bindir}/%{name}
%{_kde_libdir}/libkdeinit4_%{name}.so
%{_kde_appsdir}/%{name}/
%{_kde_datadir}/config.kcfg/%{name}.kcfg
%{_kde_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde_applicationsdir}/%{name}.desktop

#----------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build
%find_lang --all-name %{name} --with-html


%changelog

* Fri Mar 15 2013 neoclust <neoclust> 2.2.1-1.mga3
+ Revision: 403285
- New version

* Fri Mar 15 2013 neoclust <neoclust> 2.2-3.mga3
+ Revision: 403281
- Enable nepomuk support

* Fri Mar 15 2013 neoclust <neoclust> 2.2-2.mga3
+ Revision: 403277
- Rebuild against new kde

* Mon Mar 04 2013 neoclust <neoclust> 2.2-1.mga3
+ Revision: 401385
- New version

* Thu Jan 31 2013 luigiwalser <luigiwalser> 2.1-1.mga3
+ Revision: 393703
- 2.1
- update bookmarks patch

* Mon Jan 14 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 380293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 mikala <mikala> 2.0-1.mga3
+ Revision: 337304
- Update tarball to 2.0
- Minor esthethic changes in spec
- Fix files list
- Rediff patch1

* Mon Oct 29 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 311425
- new version 1.3

* Tue Oct 09 2012 fwang <fwang> 1.2-1.mga3
+ Revision: 303716
- new version 1.2

* Tue Aug 28 2012 fwang <fwang> 1.1-1.mga3
+ Revision: 284956
- new version 1.1

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1.0-1.mga3
+ Revision: 275803
- 1.0

* Thu Jul 12 2012 fwang <fwang> 0.9.90-1.mga3
+ Revision: 269599
- new version 0.9.90

* Wed Jun 20 2012 fwang <fwang> 0.9.80-2.mga3
+ Revision: 262032
- br more libs

* Wed Jun 20 2012 fwang <fwang> 0.9.80-1.mga3
+ Revision: 262027
- new verison 0.9.80

* Sat May 12 2012 mikala <mikala> 0.9.2-1.mga2
+ Revision: 235441
- Update tarball to 0.9.2

* Sun Apr 08 2012 mikala <mikala> 0.9.1-1.mga2
+ Revision: 229689
- Update tarball to 0.9.1

* Tue Mar 06 2012 luigiwalser <luigiwalser> 0.9.0-1.mga2
+ Revision: 219529
- use updated upstream tarball

  + fwang <fwang>
    - new version 0.9.0

* Mon Jan 23 2012 mikala <mikala> 0.8.71-0.mga2
+ Revision: 200275
- Update tarball to 0.8.71
- Fix patch1
- Fix files list
- Fix license tag
- Remove %%clean section
- Fix group
- Add pkgconfig(QtWebKit) as BR

* Sun Dec 11 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 180767
- new version 0.8.1

* Sat Oct 15 2011 fwang <fwang> 0.8.0-1.mga2
+ Revision: 155338
- new versio 0.8.0

* Wed Sep 21 2011 mikala <mikala> 0.8.0-0.beta3.1.mga2
+ Revision: 146419
- Update tarball to beta3
- Fix license

* Tue Sep 20 2011 mikala <mikala> 0.8.0-0.beta2.1.mga2
+ Revision: 146044
- Update tarball to rekonq 0.8 beta2
- Update tarball to 0.8.0 beta1 (0.7.80)
- Rediff patchs
- use %%apply_patches macro

* Tue Apr 05 2011 mikala <mikala> 0.7.0-2.mga1
+ Revision: 80619
- Use /usr/share/indexhtml/index.html for index.html

* Mon Apr 04 2011 mikala <mikala> 0.7.0-1.mga1
+ Revision: 80269
- Update tarball to 0.7.0
- Rediff patch against 0.7.0

* Fri Feb 25 2011 mikala <mikala> 0.6.1-3.mga1
+ Revision: 59977
- Fix rekonq URL (in spec & patch0 & patch1)
- Add requires to kdebase4-common & not konqueror anymore
- Add suggests webclient

* Fri Feb 25 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 59332
- Rediff patch0

  + mikala <mikala>
    - imported package rekonq


* Mon Jan 10 2011 John Balcaen <balcaen.john@gmail.com> 0.6.1-2mga1
- Rediff patch0 & patch1 (drop mandriva www,add mageia)

* Mon Oct 11 2010 John Balcaen <mikala@mandriva.org> 0.6.1-1mdv2011.0                                                                                               
+ Revision: 584922                                                                                                                                                  
- Update to 0.6.1                                                                                                                                                   
                                                                                                                                                                    
* Sat Oct  2 2010 John Balcaen <mikala@mandriva.org> 0.6.0-1mdv2011.0                                                                                               
+ Revision: 582413                                                                                                                                                  
- Update to 0.6.0                                                                                                                                                   
                                                                                                                                                                    
* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 0.5.80-1mdv2011.0                                                                                                 
+ Revision: 571788                                                                                                                                                  
- update to new version 0.5.80                                                                                                                                      
                                                                                                                                                                    
* Fri Jul  9 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0                                                                                                  
+ Revision: 549885                                                                                                                                                  
- New version 0.5.0                                                                                                                                                 
                                                                                                                                                                    
* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1                                                                                                  
+ Revision: 518643                                                                                                                                                  
- new version 0.4.0                                                                                                                                                 
                                                                                                                                                                    
* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 0.3.90-1mdv2010.1                                                                                                 
+ Revision: 504123                                                                                                                                                  
- New version 0.3.90 (based on kdewebkit)                                                                                                                           
                                                                                                                                                                    
  + John Balcaen <mikala@mandriva.org>                                                                                                                              
    - Update patch1 (now use /usr/share/doc/HTML/index.html as default homepage)                                                                                    
                                                                                                                                                                    
* Fri Nov 27 2009 John Balcaen <mikala@mandriva.org> 0.3.0-2mdv2010.1                                                                                               
+ Revision: 470526                                                                                                                                                  
- Add a Requires against konqueror (package is currently providing cookies,proxy & web shorcut support for rekonq)                                                  
- add patch0 to change default bookmarks                                                                                                                            
- add patch1 to change default preview                                                                                                                              
                                                                                                                                                                    
* Thu Nov 26 2009 John Balcaen <mikala@mandriva.org> 0.3.0-1mdv2010.1                                                                                               
+ Revision: 470312                                                                                                                                                  
- Update to 0.3.0                                                                                                                                                   
- use %%find_lang macro                                                                                                                                              
- fix some buildrequires                                                                                                                                            
                                                                                                                                                                    
* Tue Oct 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.2.0-0.1mdv2010.0                                                                                            
+ Revision: 458489                                                                                                                                                  
- First release and import rekonq files                                                                                                                             
- Created package structure for rekonq.
